/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Regelprogramma vri: Voorbeeldregeling Standaard Filemeetpunt
 *
 * datum:              29 augustus 1994
 * gewijzigd:          15 maart 2003
 * gewijzigd:          18 september 2003
 *
 * versie:             2.1
 */


#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"

#include "sfile.inc"

#ifdef pc_omgeving
#include "crfutils.h"
#endif


/* ================================================================
 * overige voorwaarden
 * ================================================================
 */

void init_bij_inschakelen(void)
{
}


void voorwaarden_per_seconde(void)
{
}


void overige_voorwaarden(void)
{

  if (filemeting (SG02_2,              /* eerste filedetector            */
                  SG02_3,              /* tweede filedetector            */
                  t_bezet_D02_2,       /* als D langer bezet is -> file  */
                  t_bezet_D02_3,       /* als D langer bezet is -> file  */
                  t_rijden_D02_2,      /* als D korter bezet is -> !file */
                  t_rijden_D02_3,      /* als D korter bezet is -> !file */
                  t_afvallen_D02_2,    /* afvalvertraging filemelding    */
                  t_afvallen_D02_3,    /* afvalvertraging filemelding    */
                  t_afvalbewaking_02,  /* bewaking afvallen file bij !D  */
                  s_afvalbewaking,     /* schakelaar bawaking aan of uit */
                  hf_file1,            /* hulpfunctie                    */
                  hf_file2,            /* hulpfunctie                    */
                  hf_file3,            /* hulpfunctie                    */
                  hf_file4))           /* hulpfunctie                    */
      set_HF(file_02_r);
  else
      reset_HF(file_02_r);

  if (filemeting (SG02_4,              /* eerste filedetector            */
                  SG02_5,              /* tweede filedetector            */
                  t_bezet_D02_4,       /* als D langer bezet is -> file  */
                  t_bezet_D02_5,       /* als D langer bezet is -> file  */
                  t_rijden_D02_4,      /* als D korter bezet is -> !file */
                  t_rijden_D02_5,      /* als D korter bezet is -> !file */
                  t_afvallen_D02_4,    /* afvalvertraging filemelding    */
                  t_afvallen_D02_5,    /* afvalvertraging filemelding    */
                  t_afvalbewaking_02,  /* bewaking afvallen file bij !D  */
                  s_afvalbewaking,     /* schakelaar bawaking aan of uit */
                  hf_file5,            /* hulpfunctie                    */
                  hf_file6,            /* hulpfunctie                    */
                  hf_file7,            /* hulpfunctie                    */
                  hf_file8))           /* hulpfunctie                    */
      set_HF(file_02_l);
  else
      reset_HF(file_02_l);

  if (HF(file_02_r) && HF(file_02_l))
      set_HF(file_02);
  else
      reset_HF(file_02);


  if (filemeting (SG05_2,              /* eerste filedetector            */
                  SG05_3,              /* tweede filedetector            */
                  t_bezet_D05_2,       /* als D langer bezet is -> file  */
                  t_bezet_D05_3,       /* als D langer bezet is -> file  */
                  t_rijden_D05_2,      /* als D korter bezet is -> !file */
                  t_rijden_D05_3,      /* als D korter bezet is -> !file */
                  t_afvallen_D05_2,    /* afvalvertraging filemelding    */
                  t_afvallen_D05_3,    /* afvalvertraging filemelding    */
                  t_afvalbewaking_05,  /* bewaking afvallen file bij !D  */
                  s_afvalbewaking,     /* schakelaar bawaking aan of uit */
                  hf_file9,            /* hulpfunctie                    */
                  hf_file10,           /* hulpfunctie                    */
                  hf_file11,           /* hulpfunctie                    */
                  hf_file12))          /* hulpfunctie                    */
      set_HF(file_05);
  else
      reset_HF(file_05);


/*
 * t.b.v. zichtbaar maken van de file
 */
#ifdef pc_omgeving
    printxy (0, 0, "file op 02 rechter rijstrook :   %4d", HF(file_02_r));
    printxy (0, 1, "file op 02 linker  rijstrook :   %4d", HF(file_02_l));
    printxy (0, 2, "file op 02 :   %4d", HF(file_02));
    printxy (0, 3, "file op 05 :   %4d", HF(file_05));
    printxy (0, 4, "bezettijd op 05_2 :   %4d", waarde_TIJD(t_bezet_D05_2));
    printxy (0, 5, "afvaltijd op 05_2 :   %4d", waarde_TIJD(t_rijden_D05_2));
    printxy (0, 6, "afvalvertragingstijd op 05_2 :   %4d", waarde_TIJD(t_afvallen_D05_2));
    printxy (0, 7, "afvalbewakingstijd op 05 :       %4d", waarde_TIJD(t_afvalbewaking_05));
#endif

}

