/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPDEF.H
 *
 * Regelprogramma vri: Voorbeeldregeling Standaard Filemeetpunt
 *
 * datum:              29 augustus 1994
 * gewijzigd:          15 maart 2003
 * gewijzigd:          18 september 2003
 *
 * versie:             2.1
 */


/*  declaratie arraynummers voor blokken  */
#define BK1                     0
#define BK2                     1
#define NUMBK                   2

/*  declaratie arraynummers voor signaalgroepen  */

#define SG02                    0
#define SG05                    1
#define NUMSG                   2

/*  declaratie arraynummers voor detectoren */

#define SG02_1                  0 /* DP */
#define SG02_2                  1 /* DP */  /* filedetector */
#define SG02_3                  2 /* DP */  /* filedetector */
#define SG02_4                  3 /* DP */  /* filedetector */
#define SG02_5                  4 /* DP */  /* filedetector */

#define SG05_1                  5 /* DP */
#define SG05_2                  6 /* DP */  /* filedetector */
#define SG05_3                  7 /* DP */  /* filedetector */
#define NUMD                    8

/*  declaratie arraynummers voor tijden  */

#define t_bezet_D02_2           0 /* tijd: als D02_2 langer bezet is -> file  */
#define t_bezet_D02_3           1 /* tijd: als D02_3 langer bezet is -> file  */
#define t_rijden_D02_2          2 /* tijd: als D02_2 korter bezet is -> !file */
#define t_rijden_D02_3          3 /* tijd: als D02_3 korter bezet is -> !file */
#define t_afvallen_D02_2        4 /* tijd: afvalvertraging filemelding D02_2  */
#define t_afvallen_D02_3        5 /* tijd: afvalvertraging filemelding D02_3  */
#define t_bezet_D02_4           6 /* tijd: als D02_4 langer bezet is -> file  */
#define t_bezet_D02_5           7 /* tijd: als D02_5 langer bezet is -> file  */
#define t_rijden_D02_4          8 /* tijd: als D02_4 korter bezet is -> !file */
#define t_rijden_D02_5          9 /* tijd: als D02_5 korter bezet is -> !file */
#define t_afvallen_D02_4       10 /* tijd: afvalvertraging filemelding D02_4  */
#define t_afvallen_D02_5       11 /* tijd: afvalvertraging filemelding D02_5  */
#define t_afvalbewaking_02     12 /* tijd: bewaking afvallen file bij !D(SG02)*/
#define t_bezet_D05_2          13 /* tijd: als D05_2 langer bezet is -> file  */
#define t_bezet_D05_3          14 /* tijd: als D05_3 langer bezet is -> file  */
#define t_rijden_D05_2         15 /* tijd: als D05_2 korter bezet is -> !file */
#define t_rijden_D05_3         16 /* tijd: als D05_3 korter bezet is -> !file */
#define t_afvallen_D05_2       17 /* tijd: afvalvertraging filemelding D05_2  */
#define t_afvallen_D05_3       18 /* tijd: afvalvertraging filemelding D05_3  */
#define t_afvalbewaking_05     19 /* tijd: bewaking afvallen file bij !D(SG05)*/
#define NUMT                   20

/*  declaratie arraynummers voor hulpfuncties  */

#define hf_file1                0 /* hulpfunctie 1                        */
#define hf_file2                1 /* hulpfunctie 2                        */
#define hf_file3                2 /* hulpfunctie 3                        */
#define hf_file4                3 /* hulpfunctie 4                        */
#define hf_file5                4 /* hulpfunctie 5                        */
#define hf_file6                5 /* hulpfunctie 6                        */
#define hf_file7                6 /* hulpfunctie 7                        */
#define hf_file8                7 /* hulpfunctie 8                        */
#define file_02_l               8 /* hulpfunctie file op 02 strook links  */
#define file_02_r               9 /* hulpfunctie file op 02 strook rechts */
#define file_02                10 /* hulpfunctie file op SG02             */
#define hf_file9               11 /* hulpfunctie                          */
#define hf_file10              12 /* hulpfunctie                          */
#define hf_file11              13 /* hulpfunctie                          */
#define hf_file12              14 /* hulpfunctie                          */
#define file_05                15 /* hulpfunctie file op SG05             */
#define NUMHF                  16

/*  declaratie arraynummers voor klokken  */

#define NUMKL                   0

/*  declaratie arraynummers voor schakelaars   */

#define s_afvalbewaking         0 /* schakelaar bewaking aan of uit       */
#define NUMSCH                  1

/*  declaratie arraynummers voor tellers  */

#define NUMTL                   0

/*  declaratie arraynummers voor extra geheel getal parameters  */

#define NUMEGGP                 0

/*  declaratie arraynummers voor extra parameters  */

#define NUMEP                   0

#define NUMOV                  20
