/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               SFILE.INC
 *
 * datum:              29 augustus 1994
 * gewijzigd dd.:      15 maart 2003
 *                     -  aanpassing aan FLASH;
 *
 * versie:             2.1
 *
 */


Bool filemeting (Int16 a,         /* eerste filedetector              */
                 Int16 b,         /* tweede filedetector              */
                 Int16 bz_a,      /* als DF1 langer bezet is -> file  */
                 Int16 bz_b,      /* als DF2 langer bezet is -> file  */
                 Int16 rd_a,      /* als DF1 korter bezet is -> !file */
                 Int16 rd_b,      /* als DF2 korter bezet is -> !file */
                 Int16 afv_a,     /* afvalvertraging filemelding DF1  */
                 Int16 afv_b,     /* afvalvertraging filemelding DF1  */
                 Int16 afv_bew,   /* bewaking afvallen file bij !D    */
                 Int16 s,         /* schakelaar bewaking aan of uit   */
                 Int16 hf_file_a, /* hulpfunctie 1                    */
                 Int16 hf_file_b, /* hulpfunctie 2                    */
                 Int16 hf_afv_a,  /* hulpfunctie 3                    */
                 Int16 hf_afv_b)  /* hulpfunctie 4                    */
{
  /************************     FILE_a_b     ****************************/
  /************************  starten tijden  ****************************/
  if (begin_D(a))
  {                                    herstart_TIJD(bz_a);
                                       herstart_TIJD(rd_a);
  }
  if (begin_D(b))
  {                                    herstart_TIJD(bz_b);
                                       herstart_TIJD(rd_b);
  }

  /**************  setten hulpfuncties file a en b **********************/
  if (D(a) && !TIJD(bz_a))             set_HF(hf_file_a);
  if (D(b) && !TIJD(bz_b))             set_HF(hf_file_b);

  /*********************  starten afvaltijden  **************************/
  if (einde_D(a) && TIJD(rd_a) &&
     HF(hf_file_a) && !HF(hf_afv_a))   start_TIJD(afv_a);
  if (D(a) && !TIJD(rd_a))             reset_TIJD(afv_a);

  if (einde_D(b) && TIJD(rd_b) &&
      HF(hf_file_b) && !HF(hf_afv_b))  start_TIJD(afv_b);
  if (D(b) && !TIJD(rd_b))             reset_TIJD(afv_b);

  /*****  resetten hulpfuncties file a en b na einde afvaltijden  *******/
  if (einde_TIJD(afv_a))
  {
        if (!D(a))                     reset_HF(hf_file_a);
        else
        {    if (TIJD(rd_a))           set_HF(hf_afv_a);
        }
  }
  if (D(a) && !TIJD(rd_a))             reset_HF(hf_afv_a);

  if (einde_TIJD(afv_b))
  {
        if (!D(b))                     reset_HF(hf_file_b);
        else
        {    if (TIJD(rd_b))           set_HF(hf_afv_b);
        }
  }
  if (D(b) && !TIJD(rd_b))             reset_HF(hf_afv_b);

  if (einde_D(a) && HF(hf_afv_a))
  {                                    reset_HF(hf_file_a);
                                       reset_HF(hf_afv_a);
  }
  if (einde_D(b) && HF(hf_afv_b))
  {                                    reset_HF(hf_file_b);
                                       reset_HF(hf_afv_b);
  }

  /*****************  setten en resetten HF(file_a_b) *******************/
  if (D(a) || D(b))                    herstart_TIJD(afv_bew);
  if (!TIJD(afv_bew) &&
      SCH(s))
  {                                    reset_HF(hf_file_a);
                                       reset_HF(hf_file_b);
  }
  if (DFOUT_BG(a))                     reset_HF(hf_file_a);
  if (DFOUT_BG(b))                     reset_HF(hf_file_b);


  if (HF(hf_file_a) || HF(hf_file_b))  return TRUE;
     else                              return FALSE;

}
